Bug 36713 - Support box-sizing without the vendor prefix
: Support box-sizing without the vendor prefix
Status: RESOLVED FIXED
: WebKit
CSS
: 528+ (Nightly build)
: All All
: P2 Normal
Assigned To:
:
: InRadar
:
:
  Show dependency treegraph
 
Reported: 2010-03-27 17:17 PST by
Modified: 2011-02-07 14:28 PST (History)


Attachments
Patch (68.90 KB, patch)
2010-07-23 06:05 PST, Peter Beverloo
no flags Review Patch | Details | Formatted Diff | Diff
Patch (48.91 KB, patch)
2010-10-22 16:57 PST, Erik Arvidsson
no flags Review Patch | Details | Formatted Diff | Diff
Patch (46.58 KB, patch)
2010-11-03 11:09 PST, Erik Arvidsson
no flags Review Patch | Details | Formatted Diff | Diff
Patch for landing (41.30 KB, patch)
2010-11-04 11:01 PST, Erik Arvidsson
no flags Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2010-03-27 17:17:54 PST
IE8 and Opera both support box-sizing without the vender prefix. So should we.

Also see the Mozilla bug where Anne van Kesteren writes:

  "CSS3 UI has reached CR. This means we can (and are encouraged to) drop the -moz- prefix from the 'box-sizing' property."

https://bugzilla.mozilla.org/show_bug.cgi?id=243412
------- Comment #1 From 2010-07-23 06:05:22 PST -------
Created an attachment (id=62420) [details]
Patch

Renamed -webkit-box-sizing to box-sizing and updated all relevant tests/default UA styling/Web Inspector.

While continuing to allow people to use -webkit-box-sizing (e.g. supporting them both) wouldn't be hard to add, I decided to rename it because the Basic UI Module is a CR and it matches support of other browsers:

Internet Explorer 8+: box-sizing
Opera 7+: box-sizing
Konqueror 3.3.2+: box-sizing
Mozilla Firefox: -moz-box-sizing
WebKit (current): -webkit-box-sizing

Mozilla prefixed their property because it also supports "padding-box", where the spec doesn't include it.
------- Comment #2 From 2010-07-23 08:35:40 PST -------
(From update of attachment 62420 [details])
Adding plain old "box-sizing" requires only that the standard is far enough along that we are confident we will not create incompatibilities with other browsers. But removing "-webkit-box-sizing" requires research to determine what content is using the webkit-prefixed name. Please don't remove it without doing the research!

Haven’t we already gone over this in the context of -webkit-opacity?
------- Comment #3 From 2010-07-23 09:31:05 PST -------
Peter, we need to keep -webkit-box-sizing working for now since there is already a lot of web content out there using this.
------- Comment #4 From 2010-07-23 09:36:10 PST -------
Ok -- I understand that I'm taking this too lightly and won't be doing so again, sorry. It takes some time to get accustomed to the project. It would help if you could give me an indication about how to do the research, as I'm presuming checking the, say, 10.000 largest websites for usage of properties won't do.

Can I modify the patch to support both properties? If so, would it be preferred to submit the modified test-cases as I've done with this one?
------- Comment #5 From 2010-09-09 15:03:54 PST -------
Supporting both properties is the right thing to do.

I think updating the tests is the right thing to do as well.
------- Comment #6 From 2010-09-13 16:43:31 PST -------
(In reply to comment #1)
> Mozilla prefixed their property because it also supports "padding-box", where > the spec doesn't include it.

Reading the relevant Mozilla bug, I think the concerns are bugs in Gecko, lack of testcases and spec issues. See also
 https://developer.mozilla.org/en/CSS/box-sizing#Notes

That said, please make people's life easier and fix it!
------- Comment #7 From 2010-10-22 16:57:33 PST -------
Created an attachment (id=71612) [details]
Patch
------- Comment #8 From 2010-10-22 16:58:25 PST -------
Peter, I updated your patch to support both -webkit-box-sizing and box-sizing.
------- Comment #9 From 2010-10-23 02:41:46 PST -------
Great, thank you.
------- Comment #10 From 2010-11-03 09:42:29 PST -------
(In reply to comment #9)
> Great, thank you.

The patch is fine. Should we also put Peter in the creator line?
------- Comment #11 From 2010-11-03 11:09:07 PST -------
Created an attachment (id=72841) [details]
Patch
------- Comment #12 From 2010-11-03 19:33:31 PST -------
(From update of attachment 72841 [details])
ok.
------- Comment #13 From 2010-11-04 01:24:12 PST -------
(From update of attachment 72841 [details])
Rejecting patch 72841 from commit-queue.

Failed to run "['./WebKitTools/Scripts/webkit-patch', '--status-host=queues.webkit.org', 'apply-attachment', '--force-clean', '--non-interactive', 72841]" exit_code: 2
Last 500 characters of output:
ebCore/css/CSSPropertyNames.in
patching file WebCore/css/CSSStyleSelector.cpp
Hunk #1 succeeded at 4971 (offset 1 line).
patching file WebCore/css/quirks.css
patching file WebCore/css/view-source.css
patching file WebCore/css/wml.css
patching file WebKitTools/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file WebKitTools/iExploder/htdocs/cssproperties.in

Failed to run "[u'/Projects/CommitQueue/WebKitTools/Scripts/svn-apply', u'--reviewer', u'Dimitri Glazkov', u'--force']" exit_code: 1

Full output: http://queues.webkit.org/results/5152007
------- Comment #14 From 2010-11-04 11:01:30 PST -------
Created an attachment (id=72966) [details]
Patch for landing
------- Comment #15 From 2010-11-04 11:35:35 PST -------
(From update of attachment 72966 [details])
Clearing flags on attachment: 72966

Committed r71348: <http://trac.webkit.org/changeset/71348>
------- Comment #16 From 2010-11-04 11:35:41 PST -------
All reviewed patches have been landed.  Closing bug.
------- Comment #17 From 2010-11-04 11:37:05 PST -------
Why were none of the CSS regulars (me, dethbakin, mitz, hyatt) copied on this bug?
------- Comment #18 From 2011-02-07 14:28:05 PST -------
<rdar://problem/7867854>